using System;

namespace Server.Items
{
	[FlipableAttribute(0x1BD7, 0x1BDA)]
	public class CedarBoard : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} cedar board" : "{0} cedar boards", Amount );
			}
		}

		[Constructable]
		public CedarBoard() : this(1)
		{
		}

		[Constructable]
		public CedarBoard(int amount) : base(0x1BD7)
		{
			Stackable = true;
			Weight = 0.1;
			Name = "Cedar Boards";
			Hue = 0x35e;
			Amount = amount;
		}

		public CedarBoard(Serial serial) : base(serial)
		{
		}

		public override Item Dupe(int amount)
		{
			return base.Dupe(new CedarBoard(amount), amount);
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}