using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1bdd, 0x1be0 )]
	public class CedarLog : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} CedarLog" : "{0} CedarLogs", Amount );
			}
		}

		[Constructable]
		public CedarLog() : this( 1 )
		{
		}

		[Constructable]
		public CedarLog( int amount ) : base( 0x1BDD )
		{
			Stackable = true;
            Name = "Cedar Logs";
            Hue = 0x35e; 
			Weight = 2.0;
			Amount = amount;
		}

		public CedarLog( Serial serial ) : base( serial )
		{
		}

		public override Item Dupe( int amount )
		{
			return base.Dupe( new CedarLog( amount ), amount );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}