using System;

namespace Server.Items
{
	[FlipableAttribute(0x1BD7, 0x1BDA)]
	public class CherryBoard : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} cherry board" : "{0} cherry boards", Amount );
			}
		}

		[Constructable]
		public CherryBoard() : this(1)
		{
		}

		[Constructable]
		public CherryBoard(int amount) : base(0x1BD7)
		{
			Stackable = true;
			Weight = 0.1;
			Name = "Cherry Boards";
			Hue = 0x47d;
			Amount = amount;
		}

		public CherryBoard(Serial serial) : base(serial)
		{
		}

		public override Item Dupe(int amount)
		{
			return base.Dupe(new CherryBoard(amount), amount);
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}