using System;

namespace Server.Items
{
	[FlipableAttribute(0x1BD7, 0x1BDA)]
	public class MahoganyBoard : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} mahogany board" : "{0} mahogany boards", Amount );
			}
		}

		[Constructable]
		public MahoganyBoard() : this(1)
		{
		}

		[Constructable]
		public MahoganyBoard(int amount) : base(0x1BD7)
		{
			Stackable = true;
			Weight = 0.1;
			Name = "Mahogany Boards";
			Hue = 0x649;
			Amount = amount;
		}

		public MahoganyBoard(Serial serial) : base(serial)
		{
		}

		public override Item Dupe(int amount)
		{
			return base.Dupe(new MahoganyBoard(amount), amount);
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}