using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1bdd, 0x1be0 )]
	public class MahoganyLog : Item, ICommodity
	{
		string ICommodity.Description
		{
			get
			{
				return String.Format( Amount == 1 ? "{0} MahoganyLog" : "{0} MahoganyLogs", Amount );
			}
		}

		[Constructable]
		public MahoganyLog() : this( 1 )
		{
		}

		[Constructable]
		public MahoganyLog( int amount ) : base( 0x1BDD )
		{
			Stackable = true;
                        Name = "Mahogany Logs";
                        Hue = 0x649; 
			Weight = 2.0;
			Amount = amount;
		}

		public MahoganyLog( Serial serial ) : base( serial )
		{
		}

		public override Item Dupe( int amount )
		{
			return base.Dupe( new MahoganyLog( amount ), amount );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}